## FolksAvatarDetails

FolksAvatarDetails — Avatar for a contact.

## Types and Values

| FolksAvatarDetails
struct | FolksAvatarDetailsIface

## Description

This allows avatars to be associated with contacts. An avatar is a small image file which represents the contact, such as a photo of them.

## Functions

## Types and Values

### FolksAvatarDetails

    typedef struct _FolksAvatarDetails FolksAvatarDetails;

Avatar for a contact.

This allows avatars to be associated with contacts. An avatar is a small image file which represents the contact, such as a photo of them.

Since: 0.6.0

### struct FolksAvatarDetailsIface

    struct FolksAvatarDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_avatar) (FolksAvatarDetails* self, GLoadableIcon* avatar, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_avatar_finish) (FolksAvatarDetails* self, GAsyncResult* _res_, GError** error);
    	GLoadableIcon* (*get_avatar) (FolksAvatarDetails* self);
    	void (*set_avatar) (FolksAvatarDetails* self, GLoadableIcon* value);
    };

Interface for creating FolksAvatarDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_avatar` () | virtual method called by ``folks_avatar_details_change_avatar()`` |
`change_avatar_finish` () | asynchronous finish function for `change_avatar`, called by ``folks_avatar_details_change_avatar()`` |
`get_avatar` () | getter method for the abstract property "avatar" |
`set_avatar` () | setter method for the abstract property "avatar" |